/*  This file is part of the KDE Libraries
    Copyright (C) 1998 Thomas Tanghus (tanghus@earthling.net)

    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    General Public License for more details.

    You should have received a copy of the GNU Library General Public License
    along with this library; see the file COPYING.LIB.  If not, write to
    the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
    Boston, MA 02111-1307, USA.
*/  

#ifndef __KDE_H__
#define __KDE_H__

#include <qwidget.h>

class KDirectionButton;
class KTabButton;
class KTabBar;
class KWizard;
class KNoteBook;

#ifdef      KDE_KLIBS
  #define   KDE_KCORE
  #define   KDE_KUI
#endif      KDE_KLIBS

#ifdef      KDE_KCORE
#endif      KDE_KCORE

#ifdef      KDE_KUI
#endif      KDE_KUI

#ifdef      KDE_KNOTEBOOK
  #define   KDE_DIRECTIONBUTTON
  #define   KDE_KWIZARD
  #define   KDE_KTABBAR
#endif      KDE_NOTEBOOK

#ifdef      KDE_KWIZARD
  #ifndef   KDE_KDIRECTIONBUTTON
    #define KDE_KDIRECTIONBUTTON
  #endif
#endif

#ifdef  KDE_KTABBAR
  #ifndef KDE_KDIRECTIONBUTTON
    #define KDE_KDIRECTIONBUTTON
  #endif
#endif

#ifdef KDE_KDIRECTIONBUTTON
  #include <kdbtn.h>
#endif KDE_DIRECTIONBUTTON

#ifdef KDE_KWIZARD
  #include <kwizard.h>
#endif KDE_KWIZARD

#ifdef KDE_KTABBAR
  #include <ktabbar.h>
#endif KDE_KTABBAR

#ifdef KDE_KNOTEBOOK
  #include <knotebook.h>
#endif KDE_NOTEBOOK

#endif __KDE_H__



